%ifarch %{sunsparc} x86_64 %{ix86}
%define with_uclibc 1
%else
%define with_uclibc 0
%endif

%{expand: %{?_with_uclibc:         %%global with_uclibc 1}}
%{expand: %{?_without_uclibc:         %%global with_uclibc 0}}

%define name    busybox
%define version 1.6.1
%define release 4

Name:		%{name}
Version:	%{version}
Release:	%mkrel %{release}
Epoch:		1
Summary:	Multi-call binary combining many common Unix tools into one executable
License:	GPL
Group:		Shells
URL:		http://www.busybox.net/
Source0:	http://www.busybox.net/downloads/%{name}-%{version}.tar.bz2
Source1:	http://www.busybox.net/downloads/%{name}-%{version}.tar.bz2.sign
Source2:	busybox.config
Patch0: 	http://busybox.net/downloads/fixes-1.6.1/busybox-1.6.1-adduser.patch
Patch1: 	http://busybox.net/downloads/fixes-1.6.1/busybox-1.6.1-init.patch
BuildRequires:	gcc >= 3.3.1-2mdk
%if %{with_uclibc}
BuildRequires:	uClibc-static-devel >= 0.9.26-5mdk
%else
BuildRequires:	glibc-static-devel
%endif
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
BusyBox combines tiny versions of many common UNIX utilities into a
single small executable. It provides minimalist replacements for most
of the utilities you usually find in GNU coreutils, shellutils, etc.
The utilities in BusyBox generally have fewer options than their
full-featured GNU cousins; however, the options that are included provide
the expected functionality and behave very much like their GNU counterparts.
BusyBox provides a fairly complete POSIX environment for any small or
embedded system.

BusyBox has been written with size-optimization and limited resources in
mind. It is also extremely modular so you can easily include or exclude
commands (or features) at compile time. This makes it easy to customize
your embedded systems. To create a working system, just add /dev, /etc,
and a kernel.

%prep
%setup -q
%patch0 -p1 -b .adduser
%patch1 -p1 -b .init
cp %{_sourcedir}/busybox.config .config

%build
%if %{with_uclibc}
. uclibc
%make CC="/usr/%{_target_cpu}-linux-uclibc/bin/%{_target_cpu}-uclibc-gcc -static -DKBUILD_NO_NLS" \
      HOSTCC="/usr/%{_target_cpu}-linux-uclibc/bin/%{_target_cpu}-uclibc-gcc -static -DKBUILD_NO_NLS" \
      oldconfig
%make CC="/usr/%{_target_cpu}-linux-uclibc/bin/%{_target_cpu}-uclibc-gcc -static -DKBUILD_NO_NLS" \
      HOSTCC="/usr/%{_target_cpu}-linux-uclibc/bin/%{_target_cpu}-uclibc-gcc -static -DKBUILD_NO_NLS"
%else
%make oldconfig
%make
%endif
HOSTCC=gcc applets/busybox.mkll > busybox.links

%install
rm -rf %{buildroot}
install -m755 busybox -D %{buildroot}%{_bindir}/busybox

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS README TODO busybox.links
%{_bindir}/busybox


%changelog
* Tue Mar 25 2008 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1:1.6.1-4mdv2008.1
+ Revision: 189835
- build unlzma
- dump full paths for busybox function wrappers to busybox.list and package it
  as it may come in handy

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1:1.6.1-3mdv2008.1
+ Revision: 140691
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Sep 12 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1:1.6.1-3mdv2008.0
+ Revision: 84638
- Enable loadkmap and dumpkmap, needed for example when setting up a
  initrd for luks encrypted root and you need to change keyboard layout
  etc. to type passwords, from Rapha?\195?\171l Gertz <rapsys@free.fr>.

* Fri Aug 31 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1:1.6.1-2mdv2008.0
+ Revision: 76912
- Fixed build with uClibc.

  + Thierry Vignaud <tvignaud@mandriva.com>
    - update description

* Wed Aug 22 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1:1.6.1-1mdv2008.0
+ Revision: 68750
- Updated to version 1.6.1, with available official patches.

* Fri Jun 08 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1:1.5.1-3mdv2008.0
+ Revision: 37519
- Disabled deprecated DEVFSD support, as reported by Olivier Blin on
  cooker ML.
- Rename busybox-1.5.1.config to busybox.config, cosmetic change to
  avoid rename of file between each version update causing diff to
  be "lost" on svn diff output.

* Mon Jun 04 2007 Christiaan Welvaart <spturtle@mandriva.org> 1:1.5.1-2mdv2008.0
+ Revision: 35159
- do not use uClibc for ppc

* Wed May 23 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1:1.5.1-1mdv2008.0
+ Revision: 30257
- Updated to 1.5.1.

  + Per Øyvind Karlsen <pkarlsen@mandriva.com>
    - build against uclibc on x86_64 too
    - drop 'make dep' as it's not needed anymore
    - forgot signature
    - new release: 1.4.2


* Wed Dec 13 2006 Christiaan Welvaart <cjw@daneel.dyndns.org>
+ 2006-12-13 21:37:32 (96563)
- use glibc for ppc build

* Wed Dec 13 2006 Christiaan Welvaart <cjw@daneel.dyndns.org>
+ 2006-12-13 21:31:42 (96560)
Import busybox

* Sat Apr 22 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.1.2-1mdk
- 1.1.2
- fix --with options

* Tue Apr 11 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.1.1-3mdk
- fix buildrequires

* Fri Apr 07 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.1.1-1mdk
- New release 1.1.1
- regenerate config
- better macro for uclibc

* Wed Sep 07 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.01-2mdk
- fix build on x86_64

* Thu Sep 01 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.01-1mdk
- 1.01
- %%mkrel

* Wed Apr 27 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.00-3mdk
- don't use uclibc on sparc, seems to be broken

* Tue Mar 08 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.00-2mdk
- rebuild against new uClibc
- use cpu optimizations

* Fri Dec 24 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.00-1mdk
- 1.00
- regenerate config (S2)
- cosmetics

* Tue Jan 06 2004 Jaco Greeff <jaco@mandrake.org> 1.00-0.pre5.1mdk
- 1.00-pre5
- Re-generated config to cater for new options since pre4

